#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  x264-20250815

- Next

  xine-lib-1.2.13

- Up
- Home

# x265-4.2

## Introduction to x265

x265 package provides a library for encoding video streams into the H.265/HEVC format.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://bitbucket.org/multicoreware/x265_git/downloads/x265_4.2.tar.gz

- Download MD5 sum: 0a7edcf495aba9f320047d61647d610b

- Download size: 1.8 MB

- Estimated disk space required: 49 MB

- Estimated build time: 0.4 SBU (using parallelism=4)

### x265 Dependencies

#### Required

CMake-4.3.2

#### Recommended

NASM-3.01

#### Optional

numactl

## Installation of x265

First, fix building this package for 32-bit platforms:

    sed -i 's/FORMAT_ELF/UNIX64 \&\& FORMAT_ELF/' source/common/x86/cpu-a.asm

Install x265 by running the following commands:

    mkdir bld &&
    cd    bld &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr        \
          -D GIT_ARCHETYPE=1                  \
          -W no-dev                           \
          ../source                           &&
    make

This package does not come with a test suite.

To install the package, first remove any old library versions. After installation, remove a static library. As the `root` user:

    make install &&
    rm -vf /usr/lib/libx265.a

## Command Explanations

`-D GIT_ARCHETYPE=1`: This switch is needed because the build system will not generate a pkg-config file or install a shared library unless git-2.53.0 is installed. Git isn't required for anything else in this package, so this switch is used to work around it for users who do not want to install Git as a build dependency.

`-W no-dev`: This switch is used to suppress warnings intended for the package developers.

rm -vf /usr/lib/libx265.a: BLFS does not recommend using static libraries.

## Contents

Installed Program: x265
Installed Library: libx265.so
Installed Directories: None

### Short Descriptions

`libx265.so` | provides the functions used to encode video streams into the H.265/HEVC format

- Prev

  x264-20250815

- Next

  xine-lib-1.2.13

- Up
- Home